@charset "ISO-8859-1";

.popup {
	display: flex;
	flex-direction: column;
	/*position: absolute;*/
	height: auto;
	box-sizing: border-box;
    /*top: 25vh;*/
    /*left: calc(50vw - (min(450px, 100vw) / 2));*/
    width: min(450px, calc(100dvw - 10px));
	border: 2px solid black;
 	background-color: var(--background-color);
	overflow: hidden;
	margin-left: auto;
	margin-right: auto;
	margin-top: 2vh;
}

.popup input {
	background-color: white;
	color: black;
}

.popup .title {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  width: 100%;
  margin-bottom: 2px;
  padding-top: 4px;
  padding-bottom: 4px;
  font-size: var(--large-font-size);
  color: var(--header-text-color);
  background-color: var(--header-background-color);
  cursor: default;
  flex-grow: 0;
  flex-shrink: 0;
}

.popup .bottom {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 6px;
  width: 100%;
  margin-bottom: 2px;
  margin-top: 10px;
  padding-top: 4px;
  padding-bottom: 4px;
  font-size: var(--base-font-size);
  color: var(--header-background-color);
  background-color: var(--header-text-color);
  cursor: default;
  flex-grow: 0;
  flex-shrink: 0;
}

.popup .text {
  font-size: var(--base-font-size);
  padding-top: 5px;
  padding-left: 5px;
  padding-right: 5px;
  overflow: auto;	
  flex-grow: 1;
  flex-shrink: 1;
  
}

.popup .entry {
  padding: 0;
  margin: 0 auto;
  margin-top: 5px;
  width: 75%;	
  flex-grow: 0;
  flex-shrink: 0;
}

.popup .entry input {
	width: 100%;
	font-family: monospace;
	font-size: var(--large-font-size);
	border: 2px solid var(--header-background-color);
	accent-color: var(--header-background-color);
}

.popup button {
  white-space: nowrap;
  padding-left: 2px;
  padding-right: 2px;
  padding-bottom: 0px;
  padding-top: 0px; 
  margin-right: 4px; 
  margin-left: 4px; 
  padding-bottom: 1px;
  padding-top: -1px;
}

.popup button {
  text-align: center;
  text-decoration: none;
  cursor: default; 
  border: 2px solid var(--header-background-color); 
  color: var(--header-background-color);
  background-color: var(--header-text-color); 
  box-sizing: border-box;
  font-size: var(--base-font-size);
  accent-color: var(--header-background-color);
}

.popup button:active {
  color: var(--header-text-color);
  background-color: var(--header-background-color); 
}


.popup .ok {
	flex: 0 1 auto;
    margin-left: auto;
}

.popup .cancel {
	flex: 0 1 auto;
    margin-right: auto;
}
